<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.12
Name: [4] Rozpoznanie choroby zawodowej
Description: Szablon CDA dla rozpoznania choroby zawodowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000">
   <title>[4] Rozpoznanie choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]"
         id="tmp-r-582ab4ca-2ca9-4d65-989b-4fd45a136676">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-0c3d7e08-7764-4418-82a2-988b344b7098">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&gt;=1 and not(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-2d28fc60-f4c5-465c-8d59-ab5b5a1c1458">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.12'">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.12'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]"
         id="tmp-r-6c891289-e0ad-4743-8362-eea9fe8cb8d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="count(hl7:effetiveTime)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:effetiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']"
         id="tmp-r-24469872-45b4-4e43-bf6e-c9506e31ff3e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.1.16')">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.1.16'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="@code">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="@displayName">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime"
         id="tmp-r-ee61d2eb-7cc9-48d7-ac69-114b8dcd052e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
