<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.37
Name: [4] Pielęgniarska skala oceny bólu
Description: Szablon CDA dla pielęgniarskiej skali oceny bólu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000">
   <title>[4] Pielęgniarska skala oceny bólu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]"
         id="tmp-r-e103601c-8f7b-4d8b-9eb1-5f1a5674c03d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']"
         id="tmp-r-09e7c1c6-3f1f-4e42-afcf-fa88d47a2061">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingPainAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingPainAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingPainAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'] | self::hl7:id | self::hl7:code[@code='SBOLSZ'][@code='SBOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala oceny bólu podczas pobytu w szpitalu/24h'] | self::hl7:code[@code='SBOLDT'][@code='SBOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala oceny bólu w opiece długoterminowej'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@code='SBOLSZ']|hl7:code[@code='SBOLDT'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingPainAssesmentEntry): wybór (hl7:code[@code='SBOLSZ'] lub hl7:code[@code='SBOLDT']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingPainAssesmentEntry): wybór (hl7:code[@code='SBOLSZ'] lub hl7:code[@code='SBOLDT']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:code[@code='SBOLSZ'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:code[@code='SBOLSZ'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:code[@code='SBOLDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:code[@code='SBOLDT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']"
         id="tmp-r-fde40c6e-9fac-42ef-bc49-0d50d221212e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.37'">(plCdaNursingPainAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.37'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:id
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:id"
         id="tmp-r-f5dc7106-be3c-4b5c-a9f9-4ed43b3f3269">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLSZ']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLSZ']"
         id="tmp-r-5a8691f1-4743-42e9-a706-97890bd67e7a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="@nullFlavor or (@code='SBOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala oceny bólu podczas pobytu w szpitalu/24h' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'SBOLSZ' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala oceny bólu podczas pobytu w szpitalu/24h' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLDT']"
         id="tmp-r-67136a33-8107-4051-8df3-733d08ead521">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="@nullFlavor or (@code='SBOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala oceny bólu w opiece długoterminowej' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'SBOLDT' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala oceny bólu w opiece długoterminowej' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text"
         id="tmp-r-afc38587-5b34-4bd4-85e7-0c28c824827e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text/hl7:reference"
         id="tmp-r-97e8fac3-5c6d-451b-ba18-1e90f917741f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:statusCode
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:statusCode"
         id="tmp-r-0be22189-d018-4c39-9b3b-c409d5241843">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:effectiveTime
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:effectiveTime"
         id="tmp-r-613931ad-b0da-427b-a708-331b9612a07e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value"
         id="tmp-r-03e4c384-cb00-4234-993a-488c3d7ae1a1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier[hl7:name/@code='BOLSZ'] | self::hl7:qualifier[hl7:name/@code='BOLDT'] | self::hl7:qualifier[hl7:name/@code='BOLINT'] | self::hl7:qualifier[hl7:name/@code='BOLINTDT'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLSZ'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLSZ'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLDT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLINT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLINT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLINTDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLINTDT'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLSZ']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLSZ']"
         id="tmp-r-9c413697-faf3-40c5-9fe5-a93bf48ae7b1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4' and @codeSystemName='Słownik wartości dla częstotliwości występowania bólu w szpitalu' and @displayName='Częstotliwość występowania bólu podczas hospitalizacji'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.4'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:name
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:value
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLDT']"
         id="tmp-r-95fc3e92-61c7-4b4d-b834-feb585e87f7d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5' and @codeSystemName='Słownik wartości dla częstotliwości występowania bólu w opiece długoterminowej' and @displayName='Częstotliwość występowania bólu w opiece długoterminowej'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.5'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:name
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:value
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINT']"
         id="tmp-r-c62c2589-24a5-4570-99b8-5b47afbd24db">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6' and @codeSystemName='Słownik wartości dla intensywności bólu' and @displayName='Intensywność bólu'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.6'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:name
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:value
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINTDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINTDT']"
         id="tmp-r-8cfb0046-80cf-4027-9bc8-f70295073d07">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13' and @codeSystemName='Słownik wartości dla intensywności bólu w opiece długoterminowej' and @displayName='Intensywność bólu w opiece długoterminowej'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.13'])])">(plCdaNursingPainAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny bólu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:name
Item: (plCdaNursingPainAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:value
Item: (plCdaNursingPainAssesmentEntry)
-->
</pattern>
